sip-options(1)

NAME
sip-options - .TH "sip-options" 1 "Fri Mar 11 2011" "Version 1.12.11" "sofia-sip-utils"

NAME
sip-options - .SH "Synopsis"

sip-options [OPTIONS] target-uri

Description

The sip-options utility sends a SIP OPTIONS request (or any other SIP request) to a SIP server.

The sip-options tool will print out status line and interesting headers from the response, excluding From, Via, Call-ID, and CSeq. The message body is also printed.

Command Line Options

The options utility accepts following command line options:

-m url | --contact=url | --bind=url
    Specifies the SIP URL to which the options utility binds.

--1XX | -1
    Print also preliminary responses. If this option is not present, preliminary responses are silently discarded.

--all | -a
    All SIP headers will be printed. If the --all option is given, the options utility also prints From, Via, Call-ID or CSeq headers.

--from=url
    Specifies the From header. Unless this option is used or the environment variable SIPADDRESS is set, local Contact URL is used as From header as well.

--mf=n
    Specify the initial Max-Forwards count (defaults to 70, stack default).

--method=s
    Specify the request method (defaults to OPTIONS).

--extra | -x/dt>
    Read extra headers (and optionally a message body) from the standard input

Return Codes

0when successful (a 2XX-series response is received) 1when unsuccessful (a 3XX..6XX-series response is received) 2initialization failure

Examples

You want to query supported features of sip:essip00net.nokia.com:

 $ options sip:essip00net.nokia.com

Environment

SIPADDRESS, sip_proxy, NTA_DEBUG, TPORT_DEBUG, TPORT_LOG.

Reporting Bugs

Report bugs to <sofia-sip-devel@lists.sourceforge.net>.

Author

Written by Pekka Pessi <pekka -dot pessi -at- nokia -dot- com>

Copyright

Copyright (C) 2005 Nokia Corporation.

This program is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.